> # NAME

> texCUBEARRAYsize - returns the size of a given texture array image for a given level of detail.

> # SYNOPSIS

>       int3 texCUBEARRAYsize(samplerCUBEARRAY samp, int lod)
>       int3 texCUBEARRAYsize(isamplerCUBEARRAY samp, int lod)
>       int3 texCUBEARRAYsize(usamplerCUBEARRAY samp, int lod)

> # PARAMETERS

> samp

>   Sampler to be queried for size.

> lod

>   Level of detail to obtain size.

> # DESCRIPTION

> Given a sampler array and a level of detail the size of one element of the corresponding texture array for a given level of detail is returned as a result of the operation.

> # PROFILE SUPPORT

> texCUBEARRAYsize is only supported in gp4 and newer profiles.

> # SEE ALSO

> texCUBEsize